<mat-toolbar color="primary" style="border-top-left-radius: 8px;
border-top-right-radius: 8px; font-family: 'Kanit', sans-serif;">ข้อมูลส่วนตัว</mat-toolbar>
<div class="row">
    <div class="column" style="width: 40%; text-align: center; padding-left: 60px;">
        <div style="width: 220px;height: 220px;margin: auto;">
            <img [src]="imageUrl" style="width:100%;height: 100%; border-radius: 50%; ">
        </div>
        <br>
        <button mat-raised-button color="primary" class="w-20" (click)="fileUpload.click()">เปลี่ยน</button>
        <input type="file" accept="image/jpeg" (change)="handleFileInput($event.target.files)" #fileUpload hidden>

    </div>
    <div class="column1" style="width: 60%;">
        <div style="display: flex;">
            <div style="width: 30%; margin-top: 25px;">ชื่อผู้ใช้</div>
            <mat-form-field appearance="outline" class="w-80" style="width: 50%;">
                <input matInput disabled [(ngModel)]="USERDATA.username" class="inputProfile">
            </mat-form-field>
        </div>
        <div style="display: flex;">
            <div style="width: 30%; margin-top: 25px;">ชื่อ-นามสกุล (อังกฤษ)</div>
            <mat-form-field appearance="outline" class="w-80" style="width: 50%;">
                <input matInput disabled [(ngModel)]="USERDATA.nameEN" class="inputProfile">
            </mat-form-field>
        </div>
        <div style="display: flex;">
            <div style="width: 30%; margin-top: 25px;">ชื่อ-นามสกุล (ไทย)</div>
            <mat-form-field appearance="outline" class="w-80" style="width: 50%;">
                <input matInput  [(ngModel)]="USERDATA.nameTH" class="inputProfile">
                <mat-hint style="font-family: 'Kanit', sans-serif;font-size: 12px;">กรุณาเว้นช่องว่าง 1 ช่องระหว่างชื่อและนามสกุล</mat-hint>
            </mat-form-field>
        </div>
        <div style="display: flex;">
            <div style="width: 30%; margin-top: 25px;">มหาวิทยาลัย</div>
            <mat-form-field appearance="outline" class="w-80" style="width: 50%;">
                <input matInput disabled [(ngModel)]="USERDATA.university" class="inputProfile">
            </mat-form-field>
        </div>
        <div style="display: flex;">
            <div style="width: 30%; margin-top: 25px;">คณะ</div>
            <mat-form-field appearance="outline" class="w-80" style="width: 50%;">
                <input matInput disabled [(ngModel)]="USERDATA.faculty" class="inputProfile">
            </mat-form-field>
        </div>
        <div style="display: flex;">
            <div style="width: 30%; margin-top: 25px;"></div>
                <button mat-raised-button color="primary" class="w-80" style="margin-top: 20px;width: 50%;" (click)=updateProfile()>ยืนยัน</button>
        </div>
        

    </div>
</div>